:root {
    --bg-color: #f0f4f8;
    --text-color: #333;
    --calendar-bg: #fff;
    --day-border: #e0e0e0;
    --day-hover: #f5e1b0;
    --header-bg: #2c3e50;
    --header-text: #ecf0f1;
    --button-bg: #34495e;
    --button-hover: #2c3e50;
    --today-bg: #e74c3c;
    --other-month: #333; //rgba(0, 0, 0, 0.5);
    --footer-bg: #f8f9fa;
    --link-color: #007bff;
}

.dark-theme {
    --bg-color: #1a1a1a;
    --text-color: #f0f0f0;
    --calendar-bg: #2c2c2c;
    --day-border: #444;
    --day-hover: #3a3a3a;
    --header-bg: #2c3e50;
    --header-text: #ecf0f1;
    --button-bg: #34495e;
    --button-hover: #2c3e50;
    --today-bg: #c0392b;
    --other-month: rgba(255, 255, 255, 0.5);
    --footer-bg: #2c2c2c;
    --link-color: #3498db;
}

body {
    font-family: 'Heebo', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    background-color: var(--bg-color);
    color: var(--text-color);
    transition: background-color 0.3s, color 0.3s;
    margin: 0;
}
main {
   /* max-width: 800px;*/
    margin: 0 auto;
    padding: 20px;
}
h1,
h2 {
    text-align: center;
    color: var(--text-color);
    line-height: normal;
    font-size: 40px;
}
#current-month {
    margin: 0;
}
#calendar {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 10px;
    //margin-top: 20px;
    background-color: var(--calendar-bg);
    border-radius: 10px;
    padding: 20px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    font-size:13px;
}
.day {
    border: 1px solid var(--day-border);
    padding: 10px;
    text-align: center;
    /*min-height: 100px;*/
    overflow: hidden;
    border-radius: 5px;
    transition: all 0.3s ease;
}
.day:hover {
    background-color: var(--day-hover);
    transform: scale(1.05);
}
.day-header {
    font-weight: bold;
    background-color: var(--header-bg);
    color: var(--header-text);
    border-radius: 5px 5px 0 0;
    min-height: 20px !important;
}
.hebrew-date {
    font-size: 0.8em;
    color: var(--other-month);
    margin-top: 5px;
}
.controls {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
}
button {
    background-color: var(--button-bg);
    color: var(--header-text);
    border: none;
    padding: 10px 15px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
button:hover {
    background-color: var(--button-hover);
}
.today {
    background-color: var(--today-bg);
    color: var(--header-text);
    font-weight: bold;
}
.other-month {
/* //   opacity: 0.5;
*/}
.footer {
    background-color: var(--footer-bg);
    padding: 20px;
    text-align: center;
    font-family: Arial, sans-serif;
    border-top: 1px solid var(--day-border);
}
.footer a {
    color: var(--link-color);
    text-decoration: none;
}
.footer a:hover {
    text-decoration: underline;
}
#clock {
    font-size: 1.2em;
    margin-bottom: 10px;
    text-align: center;
}
#date-display {
    font-size: 1.1em;
    margin-bottom: 15px;
    text-align: center;
}
.toggle-container {
    text-align: center;
    margin-bottom: 15px;
}
.theme-toggle {
    position: absolute;
    top: 20px;
    right: 20px;
    background-color: var(--text-color);
    color: var(--header-bg);
    border: none;
    padding: 10px 15px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
.theme-toggle:hover {
    background-color: var(--button-hover);
}
body.dark-theme .theme-toggle:hover {
    background-color: var(--button-bg);
}
header {
    background-color: var(--header-bg);
    color: var(--header-text);
    padding: 20px;
    text-align: center;
    margin-bottom: 20px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}
@media (max-width: 768px) {
    #calendar {
        grid-template-columns: repeat(7, 1fr);
        gap: 0;
        font-size:0.8em;
    }
    .div_overflow {
        overflow: scroll;
    }
    .day {
        max-height: 130px;
        border-radius: 0;
        overflow: scroll;
        padding: 5px;
    }
    body {
        padding: 0;
    }
    button{padding:5px;}
    .theme-toggle {
        top: 10px;
        right: 10px;
    }
    .gregorian-date {
        color: #d4a133;
        font-weight: bold;
    }
    .parasha {
        font-size: 0.8em;
        text-align: left;
    }
     .new-month {
        content: '';
        font-size: 0.5em;
        margin-top: 5px;
        color: var(--header-bg);
        text-align: center;
     }
     header {
     margin-bottom: 0;
     }
     .toggle-container {
        margin-bottom: 0;
     }
     main {
     padding: 0;
     }

        .controls {
        margin-right: 8px;
        margin-left: 8px;
        }
}
@media (max-width: 480px) {
    #calendar {
        grid-template-columns: repeat(7, 1fr);
    }
    h1,
    h2 {
        font-size: 1.5em;
    }
}
button {
    gap: 5px;
}
button svg {
    vertical-align: middle;
}
#parasha-hashavua {
    text-align: center;
    font-weight: bold;
    margin-top: 10px;
    font-size: 1.1em;
}
.explanation {
    background-color: var(--calendar-bg);
    padding: 20px;
    border-radius: 10px;
    margin-top: 20px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}
.explanation h2 {
    color: var(--header-bg);
    border-bottom: 2px solid var(--header-bg);
    padding-bottom: 10px;
}
.explanation h3 {
    color: var(--text-color);
    margin-top: 15px;
}
.explanation ul {
    padding-left: 20px;
}
.explanation li {
    margin-bottom: 10px;
}
.dark-theme .explanation h2 {
    color: var(--header-text);
    border-bottom: 2px solid var(--header-text);
}
.dark-theme a {
    color: var(--link-color);
}
.dark-theme a:hover {
    text-decoration: underline;
}
.new-month::before {
    content: '';
    display: block;
    font-size: 0.8em;
    margin-top: 5px;
    color: var(--header-bg);
    white-space: nowrap;
}
.new-month {
    font-weight: bold;
    font-size: 1em;
    margin-top: 0;
    color: var(--header-bg);
    background-color: var(--header-text);
    padding: 10px;
    border-radius: 5px;
    text-align: center;
}
.shabbat {
    background-color: #f8f9fa;
    color: #333;
    font-weight: bold;
}
header ul {
    list-style-type: none;
    padding: 0;
    display: flex;
    justify-content: center;
    margin-top: 20px;
}
header ul li {
    display: inline;
    margin: 0 10px;
}
header ul li a {
    color: var(--header-text);
    text-decoration: none;
}
header ul li a:hover {
    text-decoration: underline;
}
header ul li a::before {
    content: '';
    margin-right: 0;
}

header ul li a:hover {
    text-decoration: underline;
}

header ul li a:active {
    color: var(--today-bg);
}


@media (max-width: 768px) {
    header ul li {
        display: block;
        margin: 10px 0;
    }
}
@media (max-width: 600px) {
    .container {
        padding: 10px;
    }
    .converter {
        padding: 20px;
    }
    .explanation {
        padding: 10px;
    }
    .footer {
        padding: 10px;
    }
    header ul li {
        display: block;
        margin: 10px 0;
    }
}
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}
.modal-content {
    background-color: #fefefe;
    margin: 15% auto; /* 15% from the top and centered */
    padding: 20px;
    border: 1px solid #888;
    width: 80%; /* Could be more or less, depending on screen size */
}
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}
.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}
.dark-theme .modal-content {
    background-color: #333;
    color: #f0f0f0;
}
.dark-theme .close {
    color: #f0f0f0;
}
.dark-theme .close:hover,
.dark-theme .close:focus {
    color: #f0f0f0;
}
#chrome-button {
    display: block;
    text-align: center;
    background-color: var(--button-bg);
    color: white;
    padding: 10px 20px;
    border-radius: 5px;
    margin-top: 20px;
    text-decoration: none;
}

/* Existing styles */

/* Mobile menu styles */
#menu-toggle {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
    padding: 10px;
}

#menu-toggle span {
    display: block;
    width: 25px;
    height: 3px;
    background-color: #333;
    margin: 5px 0;
    transition: 0.4s;
}

#mobile-menu {
    display: none;
    position: fixed;
    top: 0;
    right: -250px;
    width: 250px;
    height: 100%;
    background-color: #f0f0f0;
    transition: 0.3s;
    box-shadow: -2px 0 5px rgba(0,0,0,0.2);
}

#mobile-menu.active {
    right: 0;
    z-index: 1;
}

#mobile-menu ul {
    list-style-type: none;
    padding: 20px;
}

#mobile-menu ul li {
    margin-bottom: 15px;
}

#mobile-menu ul li a {
    text-decoration: none;
    color: #333;
    font-size: 18px;
}

#mobile-menu ul li a:hover {
    color: #3498db;
}

#mobile-menu ul li a:active {
    color: var(--today-bg);
}

/* Media query for mobile devices */
@media screen and (max-width: 768px) {
    header > ul {
        display: none;
    }

    #menu-toggle {
        display: block;
    }

    #mobile-menu {
        display: block;
    }

    #mobile-menu > ul {
        flex-direction: column;
        align-items: flex-start;
    }
    .new-month {
        font-size: 0.8em;
        padding: 0;
    }
}

/* Dark theme adjustments */
.dark-theme #menu-toggle span {
    background-color: #fff;
}

.dark-theme #mobile-menu {
    background-color: #333;
}

.dark-theme #mobile-menu ul li a {
    color: #fff;
}